%global pkgname django-setuptest

Name:           python-django-setuptest
Version:        0.1.4
Release:        5%{?dist}
Summary:        Simple module enabling Django app testing

License:        BSD
URL:            https://github.com/praekelt/django-setuptest
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-coverage
BuildRequires:  python-pep8
BuildRequires:  python-setuptools
BuildRequires:  python-six
Requires:       python-django
BuildRequires:  python-django

%description
Simple module enabling Django app testing via 
$ python setup.py test.

%prep
%setup -q -n %{pkgname}-%{version}

%build
python setup.py build

%install
python setup.py install --skip-build --root $RPM_BUILD_ROOT

%check
%{__python} setup.py test
 
%files
%doc README.rst CHANGELOG.rst
%{python_sitelib}/setuptest
%{python_sitelib}/django_setuptest-*.egg-info

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 16 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.1.4-2
- add python-six

* Thu Jan 16 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.1.4-1
- New Upstream version
- remove some lines not necessary

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 03 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.2-3
- change BuildRequires python-devel to python2-devel
- change BuildRequires python-setuptools-devel to python-setuptools
- add if in BuildRequires if f18 require python-django else use django
 
* Fri Aug 03 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.2-2
- add check section
- add README
- add BuildRequires coverage and pep8

* Fri Aug 03 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.2-1
- Initial Import



